Bug 622412 - Language selection is not working properly if locale has @ character in its name
Summary: Language selection is not working properly if locale has @ character in its name
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: system-config-language   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Pravin Satpute
QA Contact: QE Internationalization Bugs
URL:
Whiteboard:
Keywords: i18n, Regression
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-09 09:50 UTC by A S Alam
Modified: 2013-07-03 01:03 UTC (History)
3 users (show)

Fixed In Version: system-config-language-1.3.4-5.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 21:42:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description A S Alam 2010-08-09 09:50:23 UTC
Description of problem:
if you select locale like 'Serbian(Latin), which is locale (sr_RS.UTF-8@latin),
then s-c-language is not working properly and selected only "Serbian" instead of "Serbian(Latin)"


Version-Release number of selected component (if applicable):
system-config-language-1.3.4-4.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. run system-config-language
2. select locale "Serbian(Latin)"
3. select ok and run s-c-language again
4. Check selected language
  
Actual results:
Selected language is "Serbian"

Expected results:
it is should be "Serbian(Latin)"

Additional info:
actually locale set is ok

[aalam@localhost ~]$ cat /etc/sysconfig/i18n 
LANG="sr_RS.UTF-8@latin"

Comment 5 Pravin Satpute 2010-08-11 04:41:08 UTC
done build system-config-language-1.3.4-5.el6

Comment 7 A S Alam 2010-08-15 18:28:24 UTC
status - FIXED
tested Package: system-config-language-1.3.4-5.el6.noarch

Comment 8 releng-rhel@redhat.com 2010-11-10 21:42:42 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.